<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full flex flex-col overflow-y-auto pb-10 shrink-0">
  <div class="flex items-center gap-3">
    <i class="fa fa-circle text-success"></i>
    <div class="font-semibold text-lg">Data Broker online</div>
  </div>
  <div *ngIf="(user$ | async)?.organisation; let org" class="grow w-full">
    <div *ngIf="node$ | async; let node" class="flex flex-col pt-8 w-full h-full">
      <div class="text-text-300 text-sm pb-0.5">Connected to an organisation</div>
      <div class="flex items-center gap-2 font-semibold">
        <i class="fa fa-house-user"></i>
        <div>{{ org.name }}</div>
      </div>
      <div class="mt-8 text-text-300 text-sm pb-0.5">Node Domain</div>
      <div class="flex items-center gap-2">
        <div class="flex items-center gap-2 font-semibold group cursor-pointer" (click)="openNodeHost(node.host)">
          <i class="fa fa-globe group-hover:text-primary-500" style="font-size: 1rem"></i>
          <div class="group-hover:text-primary-500 group-hover:underline">{{ node.host }}</div>
          <i class="pi pi-external-link text-primary-500 pl-1" style="font-size: 0.8rem"></i>
        </div>
        <p-button
          icon="pi pi-copy"
          [link]="true"
          appCopyToClipboard
          copyMessage="node url coppied to clipboard"
          [textToCopy]="node.host"
          [style]="{ width: '24px', height: '24px' }"
        ></p-button>
      </div>
      <div class="mt-8 flex items-center gap-4">
        <div class="shrink-0">
          <div *ngIf="node.version" class="text-text-300 text-sm pb-0.5">Image Version</div>
          <div class="flex items-center gap-4">
            <div *ngIf="node.version" class="flex flex-col items-start font-semibold">
              <div class="flex items-center gap-2">
                <i class="fa-brands fa-docker" style="font-size: 1rem"></i>
                <div>
                  {{ node.version }}
                </div>
              </div>
              <div *ngIf="node.buildTime" class="w-fit text-text-300 text-sm font-normal">
                created at: {{ node.buildTime | applyLocalTzPipe | date : 'medium' }}
              </div>
            </div>
          </div>
        </div>
        <p-tag
          *ngIf="node.isOutdated"
          value="Outdated"
          severity="warning"
          icon="fa fa-triangle-exclamation"
          [pTooltip]="node.isOutdatedMessage"
          tooltipPosition="bottom"
        ></p-tag>
      </div>
      <div class="mt-8 text-text-300 text-sm">Node ID</div>
      <div class="flex items-center gap-2 font-semibold">
        <div class="w-fit">
          {{ node.nodeId }}
          <span
            ><p-button
              icon="pi pi-copy"
              [link]="true"
              appCopyToClipboard
              copyMessage="nodeId coppied to clipboard"
              [textToCopy]="node.nodeId"
              [style]="{ width: '24px', height: '24px' }"
            ></p-button
          ></span>
        </div>
      </div>
    </div>
  </div>
</div>
